package com.willalp.clockingin.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 考勤班次对象 hs_pns_shift
 * 
 * @author willalp
 * @date 2022-04-26
 */
public class HsPnsShift extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String shiftId;

    /** 班次名称 */
    @Excel(name = "班次名称")
    private String shiftName;

    /** 班次类型（早班，晚班） */
    @Excel(name = "班次类型", readConverterExp = "早=班，晚班")
    private String shiftType;

    /** 上班时间 */
    @Excel(name = "上班时间")
    private String dutyTime;

    /** 下班时间 */
    @Excel(name = "下班时间")
    private String offDutyTime;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    private Integer isDelete;

    public void setShiftId(String shiftId) 
    {
        this.shiftId = shiftId;
    }

    public String getShiftId() 
    {
        return shiftId;
    }
    public void setShiftName(String shiftName) 
    {
        this.shiftName = shiftName;
    }

    public String getShiftName() 
    {
        return shiftName;
    }
    public void setShiftType(String shiftType) 
    {
        this.shiftType = shiftType;
    }

    public String getShiftType() 
    {
        return shiftType;
    }
    public void setDutyTime(String dutyTime) 
    {
        this.dutyTime = dutyTime;
    }

    public String getDutyTime() 
    {
        return dutyTime;
    }
    public void setOffDutyTime(String offDutyTime) 
    {
        this.offDutyTime = offDutyTime;
    }

    public String getOffDutyTime() 
    {
        return offDutyTime;
    }
    public void setIsDelete(Integer isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() 
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shiftId", getShiftId())
            .append("shiftName", getShiftName())
            .append("shiftType", getShiftType())
            .append("dutyTime", getDutyTime())
            .append("offDutyTime", getOffDutyTime())
            .append("remark", getRemark())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
